Hi Marius,

if I run:

# openstack undercloud install 

the second time, this error appears. I had to reinstall Operating System to advance this step but now I have another issue (see below). After last friday rdo manager update seems pretty unstable, UI doesn't work, ironic had issues discovering nodes and now this. I'm following this howto http://docs.openstack.org/developer/tripleo-docs/installation/installing.html 

dib-run-parts Tue Sep 15 10:05:12 EDT 2015 20-os-net-config completed
dib-run-parts Tue Sep 15 10:05:12 EDT 2015 Running /usr/libexec/os-refresh-config/configure.d/40-hiera-datafiles
[2015/09/15 10:05:12 AM] [WARNING] DEPRECATED: falling back to /var/run/os-collect-config/os_config_files.json
dib-run-parts Tue Sep 15 10:05:12 EDT 2015 40-hiera-datafiles completed
dib-run-parts Tue Sep 15 10:05:12 EDT 2015 Running /usr/libexec/os-refresh-config/configure.d/50-puppet-stack-config
+ set -o pipefail
+ set +e
+ puppet apply --detailed-exitcodes /etc/puppet/manifests/puppet-stack-config.pp
Warning: Scope(Class[Keystone]): Keystone under Eventlet has been drepecated during the Kilo cycle. Support for deploying under eventlet will be dropped as of the M-release of OpenStack.
Warning: Scope(Class[Glance::Registry]): The auth_host parameter is deprecated. Please use auth_uri and identity_uri instead.
Warning: Scope(Class[Glance::Registry]): The auth_port parameter is deprecated. Please use auth_uri and identity_uri instead.
Warning: Scope(Class[Glance::Registry]): The auth_protocol parameter is deprecated. Please use auth_uri and identity_uri instead.
Warning: Scope(Class[Nova::Vncproxy::Common]): Could not look up qualified variable '::nova::compute::vncproxy_host'; class ::nova::compute has not been evaluated
Warning: Scope(Class[Nova::Vncproxy::Common]): Could not look up qualified variable '::nova::compute::vncproxy_protocol'; class ::nova::compute has not been evaluated
Warning: Scope(Class[Nova::Vncproxy::Common]): Could not look up qualified variable '::nova::compute::vncproxy_port'; class ::nova::compute has not been evaluated
Warning: Scope(Class[Nova::Vncproxy::Common]): Could not look up qualified variable '::nova::compute::vncproxy_path'; class ::nova::compute has not been evaluated
/etc/puppet/modules/vswitch/lib/puppet/provider/vs_port/ovs_redhat.rb:3: warning: already initialized constant BASE
/etc/puppet/modules/vswitch/lib/puppet/provider/vs_port/ovs_redhat.rb:3: warning: previous definition of BASE was here
/etc/puppet/modules/vswitch/lib/puppet/provider/vs_port/ovs_redhat.rb:6: warning: already initialized constant DEFAULT
/etc/puppet/modules/vswitch/lib/puppet/provider/vs_port/ovs_redhat.rb:6: warning: previous definition of DEFAULT was here
Warning: Scope(Class[Concat::Setup]): concat::setup is deprecated as a public API of the concat module and should no longer be directly included in the manifest.
Warning: Scope(Class[Heat::Keystone::Domain]): The auth_url parameter is deprecated and will be removed in future releases
Warning: Scope(Class[Heat::Keystone::Domain]): The keystone_admin parameter is deprecated and will be removed in future releases
Warning: Scope(Class[Heat::Keystone::Domain]): The keystone_password parameter is deprecated and will be removed in future releases
Warning: Scope(Class[Heat::Keystone::Domain]): The keystone_tenant parameter is deprecated and will be removed in future releases
Warning: Scope(Class[Nova::Compute::Ironic]): The admin_user parameter is deprecated, use admin_username instead.
Warning: Scope(Class[Nova::Compute::Ironic]): The admin_passwd parameter is deprecated, use admin_password instead.
Warning: Scope(Neutron::Plugins::Ml2::Type_driver[local]): local type_driver is useful only for single-box, because it provides no connectivity between hosts
Warning: Scope(Swift::Storage::Server[6002]): The default incoming_chmod set to 0644 may yield in error prone directories and will be changed in a later release.
Warning: Scope(Swift::Storage::Server[6002]): The default outgoing_chmod set to 0644 may yield in error prone directories and will be changed in a later release.
Warning: Scope(Swift::Storage::Server[6001]): The default incoming_chmod set to 0644 may yield in error prone directories and will be changed in a later release.
Warning: Scope(Swift::Storage::Server[6001]): The default outgoing_chmod set to 0644 may yield in error prone directories and will be changed in a later release.
Warning: Scope(Swift::Storage::Server[6000]): The default incoming_chmod set to 0644 may yield in error prone directories and will be changed in a later release.
Warning: Scope(Swift::Storage::Server[6000]): The default outgoing_chmod set to 0644 may yield in error prone directories and will be changed in a later release.
Error: Could not find resource 'Exec[heat_domain_create]' for relationship from 'Class[Keystone::Roles::Admin]' on node instack.mydomain
Error: Could not find resource 'Exec[heat_domain_create]' for relationship from 'Class[Keystone::Roles::Admin]' on node instack.mydomain
+ rc=1
+ set -e
+ echo 'puppet apply exited with exit code 1'
puppet apply exited with exit code 1
+ '[' 1 '!=' 2 -a 1 '!=' 0 ']'
+ exit 1
[2015-09-15 10:05:26,234] (os-refresh-config) [ERROR] during configure phase. [Command '['dib-run-parts', '/usr/libexec/os-refresh-config/configure.d']' returned non-zero exit status 1]

[2015-09-15 10:05:26,234] (os-refresh-config) [ERROR] Aborting...
Traceback (most recent call last):
  File "<string>", line 1, in <module>
  File "/usr/lib/python2.7/site-packages/instack_undercloud/undercloud.py", line 551, in install
    _run_orc(instack_env)
  File "/usr/lib/python2.7/site-packages/instack_undercloud/undercloud.py", line 483, in _run_orc
    _run_live_command(args, instack_env, 'os-refresh-config')
  File "/usr/lib/python2.7/site-packages/instack_undercloud/undercloud.py", line 314, in _run_live_command
    raise RuntimeError('%s failed. See log for details.' % name)
RuntimeError: os-refresh-config failed. See log for details.
ERROR: openstack Command 'instack-install-undercloud' returned non-zero exit status 1

Regards,
Pedro Sousa




On Tue, Sep 15, 2015 at 3:03 PM, Marius Cornea <mcornea@redhat.com> wrote:
Hi Pedro,

Can you provide the steps to reproduce this?

Thanks,
Marius

----- Original Message -----
> From: "Pedro Sousa" <pgsousa@gmail.com>
> To: "rdo-list" <rdo-list@redhat.com>
> Sent: Tuesday, September 15, 2015 1:04:24 PM
> Subject: [Rdo-list] undercloud reinstall error
>
> Hi all,
>
> whenever I try to reinstall undercloud I get the error below, is this a bug?
> Thanks.
>
> [2015-09-15 12:02:20,829] (os-refresh-config) [INFO] Completed phase
> pre-configure
> [2015-09-15 12:02:20,829] (os-refresh-config) [INFO] Starting phase configure
> dib-run-parts Tue Sep 15 12:02:20 WEST 2015 Running
> /usr/libexec/os-refresh-config/configure.d/00-apply-selinux-policy
> + set -o pipefail
> + '[' -x /usr/sbin/semanage ']'
> + semodule -i /opt/stack/selinux-policy/ipxe.pp
> Full path required for exclude: net:[4026532328].
> Full path required for exclude: net:[4026532328].
> dib-run-parts Tue Sep 15 12:02:42 WEST 2015 00-apply-selinux-policy completed
> dib-run-parts Tue Sep 15 12:02:42 WEST 2015 Running
> /usr/libexec/os-refresh-config/configure.d/20-compile-and-install-selinux-policies
> + set -o pipefail
> ++ mktemp -d
> + TMPDIR=/tmp/tmp.aOSfXS3n5a
> + '[' -x /usr/sbin/semanage ']'
> + cd /tmp/tmp.aOSfXS3n5a
> ++ ls '/opt/stack/selinux-policy/*.te'
> ls: cannot access /opt/stack/selinux-policy/*.te: No such file or directory
> + semodule -i '/tmp/tmp.aOSfXS3n5a/*.pp'
> semodule: Failed on /tmp/tmp.aOSfXS3n5a/*.pp!
> [2015-09-15 12:02:42,360] (os-refresh-config) [ERROR] during configure phase.
> [Command '['dib-run-parts', '/usr/libexec/os-refresh-config/configure.d']'
> returned non-zero exit status 1]
>
> [2015-09-15 12:02:42,361] (os-refresh-config) [ERROR] Aborting...
> Traceback (most recent call last):
> File "<string>", line 1, in <module>
> File "/usr/lib/python2.7/site-packages/instack_undercloud/undercloud.py",
> line 551, in install
> _run_orc(instack_env)
> File "/usr/lib/python2.7/site-packages/instack_undercloud/undercloud.py",
> line 483, in _run_orc
> _run_live_command(args, instack_env, 'os-refresh-config')
> File "/usr/lib/python2.7/site-packages/instack_undercloud/undercloud.py",
> line 314, in _run_live_command
> raise RuntimeError('%s failed. See log for details.' % name)
> RuntimeError: os-refresh-config failed. See log for details.
> ERROR: openstack Command 'instack-install-undercloud' returned non-zero exit
> status 1
>
> Regards,
> Pedro Sousa
>
>
> _______________________________________________
> Rdo-list mailing list
> Rdo-list@redhat.com
> https://www.redhat.com/mailman/listinfo/rdo-list
>
> To unsubscribe: rdo-list-unsubscribe@redhat.com